#include "text.h"

/***********************************************************/
/* TEXT ROUTINES                                           */
/***********************************************************/
/****************************************/
/* Draws 8x13 text on screen.           */
/****************************************/
void TEXT_8_X_13(GLint xs, GLint ys, char text[]) {
int  i;
char letter;

   glDrawBuffer(GL_BACK);
   glColor3f(1.0, 1.0, 1.0);
   glPixelTransferi(GL_MAP_COLOR, false);
   glRasterPos2i(xs, ys);
   for (i = 0; i < strlen(text); i++) {
       letter = text[i];
       glutBitmapCharacter(GLUT_BITMAP_8_BY_13, GLint(letter));
   }
   glutSwapBuffers();
}

/****************************************/
/* Clears 8x13 text from screen.        */
/****************************************/
void CLEAR_8_X_13(GLint xs, GLint ys) {
GLint xe = xs + 275;
GLint ye = ys + 12;

   ys -= 3;
   glDrawBuffer(GL_BACK);
   glPolygonMode(GL_FRONT_AND_BACK, GL_FILL);
   glColor3f(0.0, 0.0, 0.0);
   glBegin(GL_QUADS);
     glVertex2i(xs, ye);
     glVertex2i(xe, ye);
     glVertex2i(xe, ys);
     glVertex2i(xs, ys);
   glEnd();
   glutSwapBuffers();
} 

/****************************************/
/* Draws 9x15 text on screen.           */
/****************************************/
void TEXT_9_X_15(GLint xs, GLint ys, char text[]) {
int  i;
char letter;

   glDrawBuffer(GL_BACK);
   glColor3f(1.0, 1.0, 1.0);
   glPixelTransferi(GL_MAP_COLOR, false);
   glRasterPos2i(xs, ys);
   for (i = 0; i < strlen(text); i++) {
       letter = text[i];
       glutBitmapCharacter(GLUT_BITMAP_9_BY_15, GLint(letter));
   }
   glutSwapBuffers();
}

/****************************************/
/* Clears 9x15 text from screen.        */
/****************************************/
void CLEAR_9_X_15(GLint xs, GLint ys) {
GLint xe = xs + 275;
GLint ye = ys + 12;

   ys -= 3;
   glDrawBuffer(GL_BACK);
   glPolygonMode(GL_FRONT_AND_BACK, GL_FILL);
   glColor3f(0.0, 0.0, 0.0);
   glBegin(GL_QUADS);
     glVertex2i(xs, ye);
     glVertex2i(xe, ye);
     glVertex2i(xe, ys);
     glVertex2i(xs, ys);
   glEnd();
   glutSwapBuffers();
}